complexType "PricingParameterShift"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | parameterReference, shift, shiftUnits?
</...>

Content Model Elements (3):

  parameterReference (defined in PricingParameterShift complexType),
  shift (defined in PricingParameterShift complexType),
  shiftUnits

All Direct / Indirect Based Elements (2):

  shift (defined in DerivedValuationScenario complexType), | shift (in valuationScenario)

Known Usage Locations

- As direct type of elements (2):

  shift (defined in DerivedValuationScenario complexType), | shift (in valuationScenario)

Annotation
A definition of a shift with respect to a specific pricing parameter.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PricingParameterShift"> <xsd:sequence> <xsd:element name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"/> <xsd:element name="shift" type="xsd:decimal"/> <xsd:element minOccurs="0" name="shiftUnits" type="PriceQuoteUnits"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
parameterReference

  Type: | AssetOrTermPointOrPricingStructureReference, empty content

  XML Source (see within schema source)

  <xsd:element name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"/>

shift

  Type: | xsd:decimal, predefined, simple content

  The size of the denominator, e.g. 0.0001 = 1 bp.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="shift" type="xsd:decimal"/>

shiftUnits

  Type: | PriceQuoteUnits, simple content

  The units of the denominator, e.g. currency. If not present, use the units of the PricingInputReference.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="shiftUnits" type="PriceQuoteUnits"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.